Apache JMeter

## org.apache.jmeter.gui.action
Class Clear

    java.lang.Object
      org.apache.jmeter.gui.action.Clear

All Implemented Interfaces:
  Command

    public class Clear

extends Object
implements Command

Handles the following actions: - Clear (Data) - Clear All (Data) - Reset (Clear GUI)

Constructor Summary
`Clear()`

Method Summary
`void` `doAction(ActionEvent e)`
`Set<String>` `getActionNames()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Clear

    public Clear()

Method Detail

### getActionNames

    public Set<String> getActionNames()

  Specified by:
    `getActionNames` in interface `Command`

### doAction

    public void doAction(ActionEvent e)

  Specified by:
    `doAction` in interface `Command`

Apache JMeter

Copyright © 1998-2010 Apache Software Foundation. All Rights Reserved.